Index: serefpolicy-contrib-20140730/mpd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mpd.te
+++ serefpolicy-contrib-20140730/mpd.te
@@ -1,4 +1,4 @@
-policy_module(mpd, 1.2.0)
+policy_module(mpd, 1.1.1)
 
 ########################################
 #
@@ -62,6 +62,12 @@ files_type(mpd_var_lib_t)
 type mpd_user_data_t;
 userdom_user_home_content(mpd_user_data_t) # customizable
 
+type mpd_home_t;
+userdom_user_home_content(mpd_home_t)
+
+type mpd_var_run_t;
+files_pid_file(mpd_var_run_t)
+
 ########################################
 #
 # Local policy
@@ -74,6 +80,7 @@ allow mpd_t self:unix_stream_socket { ac
 allow mpd_t self:unix_dgram_socket sendto;
 allow mpd_t self:tcp_socket { accept listen };
 allow mpd_t self:netlink_kobject_uevent_socket create_socket_perms;
+allow mpd_t self:unix_dgram_socket { create_socket_perms sendto };
 
 allow mpd_t mpd_data_t:dir manage_dir_perms;
 allow mpd_t mpd_data_t:file manage_file_perms;
@@ -104,13 +111,22 @@ manage_files_pattern(mpd_t, mpd_var_lib_
 manage_lnk_files_pattern(mpd_t, mpd_var_lib_t, mpd_var_lib_t)
 files_var_lib_filetrans(mpd_t, mpd_var_lib_t, dir)
 
+manage_files_pattern(mpd_t, mpd_var_run_t, mpd_var_run_t)
+manage_dirs_pattern(mpd_t, mpd_var_run_t, mpd_var_run_t)
+manage_sock_files_pattern(mpd_t, mpd_var_run_t, mpd_var_run_t)
+manage_lnk_files_pattern(mpd_t, mpd_var_run_t, mpd_var_run_t)
+files_pid_filetrans(mpd_t, mpd_var_run_t, { file dir sock_file })
+
+manage_files_pattern(mpd_t, mpd_home_t, mpd_home_t)
+manage_dirs_pattern(mpd_t, mpd_home_t, mpd_home_t)
+manage_lnk_files_pattern(mpd_t, mpd_home_t, mpd_home_t)
+
 kernel_getattr_proc(mpd_t)
 kernel_read_system_state(mpd_t)
 kernel_read_kernel_sysctls(mpd_t)
 
 corecmd_exec_bin(mpd_t)
 
-corenet_all_recvfrom_unlabeled(mpd_t)
 corenet_all_recvfrom_netlabel(mpd_t)
 corenet_tcp_sendrecv_generic_if(mpd_t)
 corenet_tcp_sendrecv_generic_node(mpd_t)
@@ -139,9 +155,9 @@ dev_read_sound(mpd_t)
 dev_write_sound(mpd_t)
 dev_read_sysfs(mpd_t)
 
-files_read_usr_files(mpd_t)
 
 fs_getattr_all_fs(mpd_t)
+fs_getattr_all_dirs(mpd_t)
 fs_list_inotifyfs(mpd_t)
 fs_rw_anon_inodefs_files(mpd_t)
 fs_search_auto_mountpoints(mpd_t)
@@ -150,15 +166,26 @@ auth_use_nsswitch(mpd_t)
 
 logging_send_syslog_msg(mpd_t)
 
-miscfiles_read_localization(mpd_t)
+userdom_home_reader(mpd_t)
 
 tunable_policy(`mpd_enable_homedirs',`
-	userdom_search_user_home_dirs(mpd_t)
+	userdom_stream_connect(mpd_t)
+	userdom_read_home_audio_files(mpd_t)
+	userdom_list_user_tmp(mpd_t)
+	userdom_read_user_tmp_files(mpd_t)
+	userdom_dontaudit_setattr_user_tmp(mpd_t)
+')
+
+optional_policy(`
+	tunable_policy(`mpd_enable_homedirs',`
+		pulseaudio_read_home_files(mpd_t)
+	')
 ')
 
 tunable_policy(`mpd_enable_homedirs && use_nfs_home_dirs',`
 	fs_read_nfs_files(mpd_t)
 	fs_read_nfs_symlinks(mpd_t)
+
 ')
 
 tunable_policy(`mpd_enable_homedirs && use_samba_home_dirs',`
@@ -191,7 +218,7 @@ optional_policy(`
 ')
 
 optional_policy(`
-	pulseaudio_domtrans(mpd_t)
+	pulseaudio_exec(mpd_t)
 ')
 
 optional_policy(`
@@ -199,6 +226,16 @@ optional_policy(`
 ')
 
 optional_policy(`
+    #needed by pulseaudio
+    systemd_read_logind_sessions_files(mpd_t)
+    systemd_login_read_pid_files(mpd_t)
+')
+
+optional_policy(`
+	rtkit_daemon_dontaudit_dbus_chat(mpd_t)
+')
+
+optional_policy(`
 	udev_read_db(mpd_t)
 ')
 
Index: serefpolicy-contrib-20140730/mplayer.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mplayer.if
+++ serefpolicy-contrib-20140730/mplayer.if
@@ -161,3 +161,23 @@ interface(`mplayer_home_filetrans_mplaye
 
 	userdom_user_home_dir_filetrans($1, mplayer_home_t, $2, $3)
 ')
+
+########################################
+## <summary>
+##	Create specified objects in user home
+##	directories with the generic mplayer
+##	home type.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mplayer_filetrans_home_content',`
+	gen_require(`
+		type mplayer_home_t;
+	')
+
+    userdom_user_home_dir_filetrans($1, mplayer_home_t, dir, ".mplayer")
+')
Index: serefpolicy-contrib-20140730/mplayer.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mplayer.te
+++ serefpolicy-contrib-20140730/mplayer.te
@@ -11,7 +11,7 @@ policy_module(mplayer, 2.5.0)
 ##	its stack executable.
 ##	</p>
 ## </desc>
-gen_tunable(allow_mplayer_execstack, false)
+gen_tunable(mplayer_execstack, false)
 
 attribute_role mencoder_roles;
 attribute_role mplayer_roles;
@@ -67,7 +67,6 @@ kernel_read_kernel_sysctls(mencoder_t)
 dev_rwx_zero(mencoder_t)
 dev_read_video_dev(mencoder_t)
 
-files_read_usr_files(mencoder_t)
 
 fs_search_auto_mountpoints(mencoder_t)
 
@@ -82,7 +81,7 @@ userdom_manage_user_tmp_files(mencoder_t
 
 userdom_manage_user_home_content_dirs(mencoder_t)
 userdom_manage_user_home_content_files(mencoder_t)
-userdom_user_home_dir_filetrans_user_home_content(mencoder_t, { dir file })
+userdom_filetrans_home_content(mencoder_t)
 
 ifndef(`enable_mls',`
 	fs_list_dos(mencoder_t)
@@ -95,15 +94,15 @@ ifndef(`enable_mls',`
 	fs_read_iso9660_files(mencoder_t)
 ')
 
-tunable_policy(`allow_execmem',`
-	allow mencoder_t self:process execmem;
+tunable_policy(`deny_execmem',`',`
+        allow mencoder_t self:process execmem;
 ')
 
-tunable_policy(`allow_execmod',`
+tunable_policy(`selinuxuser_execmod',`
 	dev_execmod_zero(mencoder_t)
 ')
 
-tunable_policy(`allow_mplayer_execstack',`
+tunable_policy(`mplayer_execstack',`
 	allow mencoder_t self:process { execmem execstack };
 ')
 
@@ -183,7 +182,6 @@ files_dontaudit_getattr_non_security_fil
 files_read_non_security_files(mplayer_t)
 files_list_home(mplayer_t)
 files_read_etc_runtime_files(mplayer_t)
-files_read_usr_files(mplayer_t)
 
 fs_getattr_all_fs(mplayer_t)
 fs_search_auto_mountpoints(mplayer_t)
@@ -204,7 +202,7 @@ userdom_tmp_filetrans_user_tmp(mplayer_t
 
 userdom_manage_user_home_content_dirs(mplayer_t)
 userdom_manage_user_home_content_files(mplayer_t)
-userdom_user_home_dir_filetrans_user_home_content(mplayer_t, { dir file })
+userdom_filetrans_home_content(mplayer_t)
 
 userdom_write_user_tmp_sockets(mplayer_t)
 
@@ -221,15 +219,15 @@ ifndef(`enable_mls',`
 	fs_read_iso9660_files(mplayer_t)
 ')
 
-tunable_policy(`allow_execmem',`
-	allow mplayer_t self:process execmem;
+tunable_policy(`deny_execmem',`',`
+        allow mplayer_t self:process execmem;
 ')
 
-tunable_policy(`allow_execmod',`
+tunable_policy(`selinuxuser_execmod',`
 	dev_execmod_zero(mplayer_t)
 ')
 
-tunable_policy(`allow_mplayer_execstack',`
+tunable_policy(`mplayer_execstack',`
 	allow mplayer_t self:process { execmem execstack };
 ')
 
@@ -245,7 +243,7 @@ tunable_policy(`use_samba_home_dirs',`
 	fs_manage_cifs_symlinks(mplayer_t)
 ')
 
-tunable_policy(`allow_mplayer_execstack',`
+tunable_policy(`mplayer_execstack',`
 	allow mplayer_t mplayer_tmpfs_t:file execute;
 ')
 
Index: serefpolicy-contrib-20140730/mrtg.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mrtg.if
+++ serefpolicy-contrib-20140730/mrtg.if
@@ -2,6 +2,25 @@
 
 ########################################
 ## <summary>
+##	Read mrtg lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mrtg_read_lib_files',`
+	gen_require(`
+		type mrtg_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+    read_files_pattern($1, mrtg_var_lib_t, mrtg_var_lib_t)
+')
+
+########################################
+## <summary>
 ##	Create and append mrtg log files.
 ## </summary>
 ## <param name="domain">
Index: serefpolicy-contrib-20140730/mrtg.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mrtg.te
+++ serefpolicy-contrib-20140730/mrtg.te
@@ -65,7 +65,6 @@ kernel_read_kernel_sysctls(mrtg_t)
 corecmd_exec_bin(mrtg_t)
 corecmd_exec_shell(mrtg_t)
 
-corenet_all_recvfrom_unlabeled(mrtg_t)
 corenet_all_recvfrom_netlabel(mrtg_t)
 corenet_tcp_sendrecv_generic_if(mrtg_t)
 corenet_tcp_sendrecv_generic_node(mrtg_t)
@@ -82,7 +81,6 @@ domain_dontaudit_search_all_domains_stat
 
 files_getattr_tmp_dirs(mrtg_t)
 files_read_etc_runtime_files(mrtg_t)
-files_read_usr_files(mrtg_t)
 files_search_var(mrtg_t)
 files_search_locks(mrtg_t)
 files_search_var_lib(mrtg_t)
@@ -105,13 +103,12 @@ libs_read_lib_files(mrtg_t)
 
 logging_send_syslog_msg(mrtg_t)
 
-miscfiles_read_localization(mrtg_t)
-
 selinux_dontaudit_getattr_dir(mrtg_t)
 
-userdom_use_user_terminals(mrtg_t)
+userdom_use_inherited_user_terminals(mrtg_t)
 userdom_dontaudit_read_user_home_content_files(mrtg_t)
 userdom_dontaudit_use_unpriv_user_fds(mrtg_t)
+userdom_dontaudit_list_admin_dir(mrtg_t)
 
 netutils_domtrans_ping(mrtg_t)
 
Index: serefpolicy-contrib-20140730/mta.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mta.fc
+++ serefpolicy-contrib-20140730/mta.fc
@@ -1,34 +1,45 @@
-HOME_DIR/\.esmtp_queue	--	gen_context(system_u:object_r:mail_home_t,s0)
 HOME_DIR/\.forward[^/]*	--	gen_context(system_u:object_r:mail_home_t,s0)
 HOME_DIR/dead\.letter	--	gen_context(system_u:object_r:mail_home_t,s0)
 HOME_DIR/\.mailrc	--	gen_context(system_u:object_r:mail_home_t,s0)
-HOME_DIR/Maildir(/.*)?	gen_context(system_u:object_r:mail_home_rw_t,s0)
-HOME_DIR/\.maildir(/.*)?	gen_context(system_u:object_r:mail_home_rw_t,s0)
+HOME_DIR/\.esmtp_queue(/.*)?    gen_context(system_u:object_r:mail_home_rw_t,s0)
+HOME_DIR/Maildir(/.*)?		gen_context(system_u:object_r:mail_home_rw_t,s0)
+HOME_DIR/.maildir(/.*)?		gen_context(system_u:object_r:mail_home_rw_t,s0)
 
-/bin/mail(x)?	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 
-/etc/aliases	--	gen_context(system_u:object_r:etc_aliases_t,s0)
+/bin/mail(x)?		--	gen_context(system_u:object_r:sendmail_exec_t,s0)
+
+/etc/aliases		--	gen_context(system_u:object_r:etc_aliases_t,s0)
 /etc/aliases\.db	--	gen_context(system_u:object_r:etc_aliases_t,s0)
-/etc/mail(/.*)?	gen_context(system_u:object_r:etc_mail_t,s0)
+/etc/mail(/.*)?			gen_context(system_u:object_r:etc_mail_t,s0)
 /etc/mail/aliases.*	--	gen_context(system_u:object_r:etc_aliases_t,s0)
-/etc/postfix/aliases.*	--	gen_context(system_u:object_r:etc_aliases_t,s0)
+/etc/mail/.*\.db	--	gen_context(system_u:object_r:etc_aliases_t,s0)
+ifdef(`distro_redhat',`
+/etc/postfix/aliases.*		gen_context(system_u:object_r:etc_aliases_t,s0)
+')
+
+/root/\.forward		--	gen_context(system_u:object_r:mail_home_t,s0)
+/root/dead\.letter	--	gen_context(system_u:object_r:mail_home_t,s0)
+/root/\.mailrc		--	gen_context(system_u:object_r:mail_home_t,s0)
+/root/\.esmtp_queue(/.*)?     gen_context(system_u:object_r:mail_home_rw_t,s0)
+/root/Maildir(/.*)?		gen_context(system_u:object_r:mail_home_rw_t,s0)
 
-/usr/bin/esmtp	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
+/usr/bin/esmtp		-- gen_context(system_u:object_r:sendmail_exec_t,s0)
 /usr/bin/mail(x)?	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 
 /usr/lib/sendmail	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 /usr/lib/courier/bin/sendmail	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 
-/usr/sbin/rmail	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
+/usr/sbin/rmail			--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 /usr/sbin/sendmail\.postfix	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 /usr/sbin/sendmail(\.sendmail)?	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
-/usr/sbin/ssmtp	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
+/usr/sbin/ssmtp 		--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 
-/var/mail(/.*)?	gen_context(system_u:object_r:mail_spool_t,s0)
+/var/mail(/.*)?			gen_context(system_u:object_r:mail_spool_t,s0)
 
 /var/qmail/bin/sendmail	--	gen_context(system_u:object_r:sendmail_exec_t,s0)
 
-/var/spool/imap(/.*)?	gen_context(system_u:object_r:mail_spool_t,s0)
+/var/spool/imap(/.*)?		gen_context(system_u:object_r:mail_spool_t,s0)
 /var/spool/(client)?mqueue(/.*)?	gen_context(system_u:object_r:mqueue_spool_t,s0)
 /var/spool/mqueue\.in(/.*)?	gen_context(system_u:object_r:mqueue_spool_t,s0)
-/var/spool/mail(/.*)?	gen_context(system_u:object_r:mail_spool_t,s0)
+/var/spool/mail(/.*)?		gen_context(system_u:object_r:mail_spool_t,s0)
+/var/spool/smtpd(/.*)?		gen_context(system_u:object_r:mail_spool_t,s0)
